### Constructor

# Gtk.FlattenListModel.new

#### Declaration [src]

    GtkFlattenListModel*
    gtk_flatten_list_model_new (
      GListModel* model
    )

#### Description [src]

Creates a new `GtkFlattenListModel` that flattens `list`.

#### Parameters

`model` | `GListModel*`
| the model to be flattened
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkFlattenListModel`
a new `GtkFlattenListModel`
Ownership of the data is transferred to the caller